/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, typeCast, delegateCombine, delegateRemove, markType } from "igniteui-react-core/ES2015/type";
import { IAnnotationLayerProxy_$type } from "./IAnnotationLayerProxy";
import { CalloutLayer } from "./CalloutLayer";
/**
 * @hidden
 */
export class AnnotationLayerProxy extends Base {
    matchesType(a) {
        if (!a.cj) {
            return false;
        }
        return true;
    }
    setContentMemberPath(a, b) {
        a.ou = b;
    }
    setHorizontalLineVisibility(a, b) {
        a.pb = b;
    }
    setIsAxisAnnotationEnabled(a, b) {
        a.m1 = b;
    }
    setLabelMemberPath(a, b) {
        a.o3 = b;
    }
    setUseInterpolation(a, b) {
        a.m3 = b;
    }
    setVerticalLineVisibility(a, b) {
        a.pc = b;
    }
    setXMemberPath(a, b) {
        a.pa = b;
    }
    setYMemberPath(a, b) {
        a.pd = b;
    }
    setTargetSeries(a, b) {
        a.m1 = b;
    }
    setCollisionChannel(a, b) {
        a.or = b;
    }
    isCalloutLayer(a) {
        if (typeCast(CalloutLayer.$, a) !== null) {
            return true;
        }
        return false;
    }
    addCalloutStyleUpdating(a, b) {
        let c = a;
        c.calloutStyleUpdating = delegateCombine(c.calloutStyleUpdating, b);
    }
    removeCalloutStyleUpdating(a, b) {
        let c = a;
        c.calloutStyleUpdating = delegateRemove(c.calloutStyleUpdating, b);
    }
    setCalloutStyleUpdatingEventEnabled(a, b) {
        a.nq = b;
    }
}
AnnotationLayerProxy.$t = markType(AnnotationLayerProxy, 'AnnotationLayerProxy', Base.$, [IAnnotationLayerProxy_$type]);
